Crear método de pago
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/payment-methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fee_percentage": "<string>",
"fee_fixed": 1,
"requires_reference": true,
"installment_plans": [
{
"code": "<string>",
"label": "<string>"
}
],
"is_active": true
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/payment-methods"
payload = {
"name": "<string>",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fee_percentage": "<string>",
"fee_fixed": 1,
"requires_reference": True,
"installment_plans": [
{
"code": "<string>",
"label": "<string>"
}
],
"is_active": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
bank_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
linked_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
fee_percentage: '<string>',
fee_fixed: 1,
requires_reference: true,
installment_plans: [{code: '<string>', label: '<string>'}],
is_active: true
})
};
fetch('https://api.lapyme.com.ar/api/v1/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"payment_method": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"icon": "<string>",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fee_percentage": "<string>",
"fee_fixed": 123,
"requires_reference": true,
"is_active": true,
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"installment_plans": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"label": "<string>",
"sort_order": 123,
"is_active": true
}
]
},
"idempotent_replay": true
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Solicitud inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "API key faltante o inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Scopes insuficientes",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Error interno del servidor",
"retryable": false,
"details": []
}
}Crear método de pago
Crea un método de pago para registrar cobros y pagos.
POST
/
api
/
v1
/
payment-methods
Crear método de pago
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Body
application/json
Available options:
cash, check, card, bank_transfer, other Required range:
x >= 0Available options:
sales, purchases, both, system Show child attributes
Show child attributes
Was this page helpful?
⌘I

